# OCI-Lob::append

(PHP 5, PHP 7, PECL OCI8 >= 1.1.0)

OCI-Lob::append — Appends data from the large object to another large object

### Description

OCI-Lob::append ( OCI-Lob `$lob_from` ) : bool

Appends data from the large object to the end of another large object.

Writing to the large object with this method will fail if buffering was previously enabled. You must disable buffering before appending. You may need to flush buffers with OCI-Lob::flush before disabling buffering.

### Parameters

`lob_from`

  The copied LOB.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OCI-Lob::flush
- OCI-Lob::setBuffering
- OCI-Lob::getBuffering